Get workflow steps
curl --request GET \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/workflowSteps \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/workflowSteps"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/workflowSteps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectWorkflowSteps": [
{
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
]
}Project
Get workflow steps
GET
/
api2
/
v2
/
projects
/
{projectUid}
/
workflowSteps
Get workflow steps
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Query Parameters
Return only steps containing jobs assigned to the calling linguist.
Response
OK
Workflow steps configured for the project
Show child attributes
Show child attributes
Was this page helpful?
⌘I